## Tcl8.5.14/Tk8.5.14 Documentation > TkLib > NameOfImg

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

Tk_NameOfImage - Return name of image.

### SYNOPSIS

#include <tk8.5/tk.h>
const char *
Tk_NameOfImage(typePtr)

### ARGUMENTS

Tk_ImageMaster *masterPtr (in)
  Token for image, which was passed to image manager's createProc when the image was created.

### DESCRIPTION

This procedure is invoked by image managers to find out the name of an image. Given the token for the image, it returns the string name for the image.

### KEYWORDS

image manager, image name
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1995-1996 Sun Microsystems, Inc.